Change log

API v1
API Change
Auth API POST /changePassword method added for password recovery

Steps
  • Verify the email address or mobile number used to recover the password using email verification or mobile verification process
  • Call /changePassword method to change the password
Note
This method does not log the user in after updating the password. The user will have to log in to continue as a logged in user.
Auth API Intents added to email and mobile verification process
  • email/initiateVerification and email/completeVerification : Allowed intents - register, change_email, change_password
  • mobile/initiateVerification and mobile/completeVerification : Allowed intents - register, change_mobile, change_password
  • To maintain backward compatibility, intent is not mandatory in the verification process for registration and changing email/mobile
  • Intent is required in the verification process for changing password (new functionality)